| Oyranos Colour Management System API

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Functions
oyranos_generic.c File Reference
`#include <string.h>`
`#include "oyranos_helper_macros.h"`
`#include "oyranos_helper.h"`
`#include "oyranos_generic.h"`
`#include "oyranos_object.h"`
`#include "oyranos_object_internal.h"`
`#include "oyranos_string.h"`
`#include "oyObject_s.h"`
`#include "oyHash_s.h"`
`#include "oyStructList_s_.h"`

## Functions
const char * | oyContextCollectData_ (oyStruct_s *s, oyOptions_s *opts, oyStructList_s *ins, oyStructList_s *outs)
| Describe a transform uniquely. More...
oyHash_s * | oyCacheListGetEntry_ (oyStructList_s *cache_list, uint32_t flags, const char *hash_text)

## Detailed Description

[Template file inheritance graph] +– oyranos_generic.template.c

Oyranos is an open source Colour Management System

Copyright:
  2004-2012 (C) Kai-Uwe Behrmann

Author
  Kai-Uwe Behrmann ku.b@.nosp@m.gmx..nosp@m.de

License:
  new BSD - see: http://www.opensource.org/licenses/bsd-license.php

Date
  2012/10/17

## Function Documentation

oyHash_s* oyCacheListGetEntry_ | ( | oyStructList_s * | cache_list,
|  | uint32_t | flags,
|  | const char * | hash_text
| ) |  |

} Public function definitions Private function definitions {

References oyOBJECT_HASH_S, oyOBJECT_STRUCT_LIST_S, oyStructList_s::oyStructList_Count(), and oyStructList_s::oyStructList_MoveIn().

Referenced by oyStructList_s::oyStructList_GetHash(), and oyStructList_s::oyStructList_GetHashStruct().

const char* oyContextCollectData_ | ( | oyStruct_s * | s,
|  | oyOptions_s * | opts,
|  | oyStructList_s * | ins,
|  | oyStructList_s * | outs
| ) |  |

Describe a transform uniquely.

Public function definitions { Function oyContextCollectData_

References oyNAME_NAME, oyNAME_NICK, oyOptions_s::oyOptions_GetText(), and oyStructList_s::oyStructList_GetID().

Referenced by oyFilterNode_s::oyFilterNode_GetText().